<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{768BFC0C-09DE-479D-8A79-343390A1EB2E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Icarus.Graphics.Animation</RootNamespace>
    <AssemblyName>Animation</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AbstractFrame.cs" />
    <Compile Include="AbstractRenderable.cs" />
    <Compile Include="AbstractText.cs" />
    <Compile Include="AnimationFactory.cs" />
    <Compile Include="AnimationType.cs" />
    <Compile Include="Frameset.cs" />
    <Compile Include="FramesetAnimation.cs" />
    <Compile Include="FramesetManager.cs" />
    <Compile Include="GDI\GDIAnimationFactory.cs" />
    <Compile Include="GDI\GDIFrame.cs" />
    <Compile Include="GDI\GDIRenderParameters.cs" />
    <Compile Include="IFrame.cs" />
    <Compile Include="IFramesetProvider.cs" />
    <Compile Include="IRenderable.cs" />
    <Compile Include="IRenderParameters.cs" />
    <Compile Include="PazeraFramesetProvider.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SimpleFramesetProvider.cs" />
    <Compile Include="TiledFrame.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <ProjectReference Include="..\..\Resources\Resources.csproj">
      <Project>{592de8ce-998e-436c-940b-11ee84b2beac}</Project>
      <Name>Resources</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>